# Danh sách nhà cung cấp

* API này dùng để lấy [danh sách nhà cung cấp](https://nhanh.vn/supplier/manage/index).

## Request

* Xem [common request params](/v3/readme.md#request-params).
* Xem [Postman sample](https://www.postman.com/nhanh-vn/pos-open-nhanh-vn/request/0f3ouhi/business-supplier).

```curl
curl --location 'https://pos.open.nhanh.vn/v3.0/business/supplier?appId={{appId}}&businessId={{businessId}}' \
--header 'Authorization: {{accessToken}}' \
--header 'Content-Type: application/json'
--data '{
    "filters": {

    }
}'
```

### Filters

| Name | Type | Description     |
| ---- | ---- | --------------- |
| id   | int  | ID nhà cung cấp |

## Response

* Xem cấu trúc chung [tại đây](/v3/readme.md#response).

### Failed response

* Xem các mã lỗi chung [tại đây](/v3/readme.md#failed-response).

### Successful response

```javascript
{
    "code": 1,
    "paginator": {
        "next": "Giá trị để lấy dữ liệu trang tiếp theo"
    },
    "data": [
        {
          "id": "(int) Id nhà cung cấp 1",
          "name": "(string) Tên nhà cung cấp 1",
          "mobile": "(string) Số điện thoại nhà cung cấp 1"
        },
        {
          "id": "(int) Id nhà cung cấp 2",
          "name": "(string) Tên nhà cung cấp 2",
          "mobile": "(string) Số điện thoại nhà cung cấp 2"
        }
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.nhanh.vn/v3/business/supplier.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
